#!/usr/bin/php
<?php
// Ce script est appelé par MedinTux avec les arguments  âge, sexe, espace RR
//Il peut être appelé à la main de la même manière. 
//Il renvoie le QT corrigé calculé par la formule de Bazett 
//Recuperation des variables de la ligne de commande
$RR=$argv[1];
$age=$argv[2];
$sexe=$argv[3];
$fichier_temp=$argv[4]; // le chemin du fichier temporaire

if ($age>16)
{
//Attribution du coefficient selon le sexe
  if ($sexe=="Féminin")
    $K=0.4;
  else
    $K=0.37;
}
else
  $K=0.37;

//Le calcul, avec un arrondi a 2 décimales
$qtc=round($K*(pow($RR/25,'0.5')),2);

//On écrit les données dans un fichier temporaire pour que MedinTux puisse les récupérer
if (!$ouverture_fichier=fopen ($fichier_temp,w))
        exit;
fwrite($ouverture_fichier, $qtc. " s");
?>